<ion-header class="ion-no-border">
  <ion-toolbar class="tool-bar" color="translucent">
    <ion-card class="dash-header ion-margin-end">
      <ion-card-content class="ion-no-padding ion-padding-vertical">
        <ion-item lines="none" class="bg-transparent">
          <ion-label class="header-title" (click)="adhanAlarm()">HALA MUSLIM SAMAJ SIDOKAR
          </ion-label>
          <!-- <ion-icon slot="end" color="primary" name="chevron-forward-outline"></ion-icon> -->
        </ion-item>

        <ion-item lines="none" class="bg-transparent">
          <ion-label class="nxt-time"> {{this.currentStamp[0]}}
            <p (click)="loginValidation('admin')" style="color:#fff; font-weight: 600;">{{tConvert(this.currentStamp[1])}}</p>
          </ion-label>
        </ion-item>

        <ion-item lines="none" class="bg-transparent">
          <h1 slot="start" style="color:#fff; font-size: xxx-large; margin-right: 15px;">{{details?.data?.date?.hijri?.month?.number }}</h1>
          <ion-label class="local-lbl" slot="start">
            {{details?.data?.date?.hijri?.month?.en }}
            <p>{{details?.data?.date?.hijri?.date }}</p>
            <span *ngFor="let hld of details?.data?.date?.hijri?.holidays">Holidays: {{hld}}</span>
          </ion-label>
          
        </ion-item>
      </ion-card-content>

      <swiper-container #swiper effect="coverflow"  [speed]="100" [autoplay]="true" [modules]="swiperModules" pagination="true" scrollbar="false" [slidesPerView]="1" [loop]="true">
        <swiper-slide *ngFor="let sd of marriegeList; let i=index;">
          <ion-card class="bg-transparent card-sdw-n">
            <ion-card-header>
              <ion-card-title class="local-lbl">{{sd?.title}}
              <p>{{sd?.location}}</p>
              </ion-card-title>
            </ion-card-header>
          
            <ion-card-content>
              <ion-item lines="none" class="bg-transparent">
                <ion-label class="local-lbl" slot="end">Note: {{sd?.message}}
                <p>Date: {{sd?.startDate | date}}</p>
                
                </ion-label>
              </ion-item>
            </ion-card-content>
          </ion-card>
        </swiper-slide>
      </swiper-container>

    </ion-card>
  </ion-toolbar>

  <ion-toolbar color="translucent">
    <ion-item lines="none" class="bg-transparent">
      <ion-button fill="clear" class="ion-no-margin ion-no-padding tool-btn">
        Qibla
        <ion-icon slot="icon-only" name="navigate-outline"></ion-icon>
      </ion-button>

      <ion-button fill="clear" class="ion-no-margin ion-no-padding tool-btn" (click)="loginValidation('public')">
        Login
        <ion-icon slot="icon-only" name="people-outline"></ion-icon>
      </ion-button>
    </ion-item>
    <ion-item lines="none" class="bg-transparent lst-item">
      <ion-label class="item-lbl" slot="start">Namaz</ion-label>
      <ion-label class="item-lbl" slot="end">Time</ion-label>
    </ion-item>
  </ion-toolbar>
</ion-header>

<ion-content class="bg-transparent">
  <!-- <ion-datetime presentation="date" [(ngModel)]="datetime"></ion-datetime> -->

  <ion-list class="bg-transparent">
    <ion-item lines="none" *ngFor="let time of detailsList"
      class="lst-item {{time[1] == this.currentStamp[1]?'current-time':'none'}}">
      <ion-label class="item-lbl" slot="start">{{time[0]}}</ion-label>
      <ion-label class="item-lbl" slot="end">{{tConvert(time[1])}}</ion-label>

    </ion-item>
  </ion-list>
</ion-content>